## org.apache.mahout.classifier.df.data.conditions
Class GreaterOrEquals

    java.lang.Object
      org.apache.mahout.classifier.df.data.conditions.Condition
          org.apache.mahout.classifier.df.data.conditions.GreaterOrEquals

    public class GreaterOrEquals

extends Condition

True if a given attribute has a value "greater or equal" than a given value

Constructor Summary
`GreaterOrEquals(int attr, double value)`

Method Summary
`boolean` `isTrueFor(Instance v)` Returns true is the checked instance matches the condition

Methods inherited from class org.apache.mahout.classifier.df.data.conditions.Condition
`equals, greaterOrEquals, lesser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GreaterOrEquals

    public GreaterOrEquals(int attr,
                           double value)

Method Detail

### isTrueFor

    public boolean isTrueFor(Instance v)

  Description copied from class: `Condition`
  Returns true is the checked instance matches the condition

  Specified by:
    `isTrueFor` in class `Condition`
  Parameters:
    `v` - checked instance
  Returns:
    true is the checked instance matches the condition

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.